Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227091 - Review Request: objectweb-anttask - ObjectWeb Ant task
Summary: Review Request: objectweb-anttask - ObjectWeb Ant task
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Deepak Bhole
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
: 252088 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-02 17:48 UTC by Rafael H. Schloming
Modified: 2014-12-01 23:14 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-22 01:41:38 UTC
pcheung: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Rafael H. Schloming 2007-02-02 17:48:28 UTC
Spec URL: http://people.redhat.com/rafaels/specs/objectweb-anttask-1.3.2-1jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/objectweb-anttask-1.3.2-1jpp.src.rpm
Description: ObjectWeb Ant task

Javadoc for objectweb-anttask.

Comment 1 Permaine Cheung 2007-02-12 19:38:01 UTC
MUST:
* package is named appropriately
* license field matches the actual license.
* license is open source-compatible.
* specfile name matches %{name}
* verify source and patches (md5sum matches upstream, know what the patches do)
* skim the summary and description for typos, etc.
X correct buildroot
 - should be:
   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
locations)
* license text included in package and marked with %doc
* keep old changelog entries; use judgement when removing (too old?
useless?)
* packages meets FHS (http://www.pathname.com/fhs/)
* rpmlint on <this package>.srpm gives no output
W: objectweb-anttask non-standard-group Development/Java
W: objectweb-anttask unversioned-explicit-provides owanttask
W: objectweb-anttask rpm-buildroot-usage %prep rm -rf $RPM_BUILD_ROOT
W: objectweb-anttask mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 37) 
* changelog should be in one of these formats:
* Packager tag should not be used
X Vendor tag should not be used
* use License and not Copyright
* Summary tag should not end in a period
* if possible, replace PreReq with Requires(pre) and/or Requires(post)
X specfile is legible
 - Requires jpackage-utils in post and postun javadoc
 - Get rid of Vendor and Distribution
 - Fix Release tag
 - Fix Source0:
http://download.fr2.forge.objectweb.org/monolog/ow_util_ant_tasks_1.3.2.zip
 - When adding the gcj bits, BuildArch:      noarch should be removed
 
* package successfully compiles and builds on at least x86
* BuildRequires are proper
 - builds in mock will flush out problems here
i don't have mock setup.

* summary should be a short and concise description of the package
* description expands upon summary (don't include installation
instructions)
X make sure lines are <= 80 characters
 line 80 is longer than 80 characters
* specfile written in American English
* make a -doc sub-package if necessary
 - see
  
http://fedoraproject.org/wiki/Packaging/Guidelines#head-9bbfa57478f0460c6160947a6bf795249488182b
* packages including libraries should exclude static libraries if possible
* don't use rpath
* config files should usually be marked with %config(noreplace)
* GUI apps should contain .desktop files
* should the package contain a -devel sub-package?
* use macros appropriately and consistently
 - ie. %{buildroot} and %{optflags} vs. $RPM_BUILD_ROOT and $RPM_OPT_FLAGS
* don't use %makeinstall
* locale data handling correct (find_lang)
 - if translations included, add BR: gettext and use %find_lang %{name} at the
   end of %install
* consider using cp -p to preserve timestamps
* split Requires(pre,post) into two separate lines
* package should probably not be relocatable
* package contains code
 - see http://fedoraproject.org/wiki/Packaging/Guidelines#CodeVsContent
 - in general, there should be no offensive content
* package should own all directories and files
* there should be no %files duplicates
* file permissions should be okay; %defattrs should be present
* %clean should be present
* %doc files should not affect runtime
* if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
* verify the final provides and requires of the binary RPMs
[pcheung@tonka jpp]$ rpm -qpl --provides
~/topdir/RPMS/noarch/tagsoup-1.0.1-1jpp.noarch.rpm
tagsoup = 0:1.0.1-1jpp
/usr/share/doc/tagsoup-1.0.1
/usr/share/doc/tagsoup-1.0.1/CHANGES
/usr/share/doc/tagsoup-1.0.1/README
/usr/share/java/tagsoup-1.0.1.jar
/usr/share/java/tagsoup.jar
[pcheung@tonka jpp]$ rpm -qpl --requires
~/topdir/RPMS/noarch/tagsoup-1.0.1-1jpp.noarch.rpm
jpackage-utils >= 0:1.6
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
/usr/share/doc/tagsoup-1.0.1
/usr/share/doc/tagsoup-1.0.1/CHANGES
/usr/share/doc/tagsoup-1.0.1/README
/usr/share/java/tagsoup-1.0.1.jar
/usr/share/java/tagsoup.jar
[pcheung@tonka jpp]$ rpm -qpl --provides
~/topdir/RPMS/noarch/tagsoup-javadoc-1.0.1-1jpp.noarch.rpm
tagsoup-javadoc = 0:1.0.1-1jpp
/usr/share/javadoc/tagsoup-1.0.1
/usr/share/javadoc/tagsoup-1.0.1/allclasses-frame.html
/usr/share/javadoc/tagsoup-1.0.1/allclasses-noframe.html
/usr/share/javadoc/tagsoup-1.0.1/constant-values.html
/usr/share/javadoc/tagsoup-1.0.1/deprecated-list.html
/usr/share/javadoc/tagsoup-1.0.1/help-doc.html
/usr/share/javadoc/tagsoup-1.0.1/index-all.html
/usr/share/javadoc/tagsoup-1.0.1/index.html
/usr/share/javadoc/tagsoup-1.0.1/org
/usr/share/javadoc/tagsoup-1.0.1/org/ccil
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/AttributesImpl.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/AutoDetector.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/CommandLine.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/Element.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/ElementType.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/PYXScanner.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/PYXWriter.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/Parser.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/ScanHandler.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/Scanner.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/Schema.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/XMLWriter.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/class-use
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/class-use/AttributesImpl.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/class-use/AutoDetector.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/class-use/CommandLine.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/class-use/Element.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/class-use/ElementType.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/class-use/PYXScanner.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/class-use/PYXWriter.html/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/class-use/Parser.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/class-use/ScanHandler.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/class-use/Scanner.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/class-use/Schema.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/class-use/XMLWriter.html/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/package-frame.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/package-summary.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/package-tree.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/package-use.html
/usr/share/javadoc/tagsoup-1.0.1/overview-tree.html
/usr/share/javadoc/tagsoup-1.0.1/package-list
/usr/share/javadoc/tagsoup-1.0.1/resources
/usr/share/javadoc/tagsoup-1.0.1/resources/inherit.gif
/usr/share/javadoc/tagsoup-1.0.1/stylesheet.css
[pcheung@tonka jpp]$ rpm -qpl --requires
~/topdir/RPMS/noarch/tagsoup-javadoc-1.0.1-1jpp.noarch.rpm
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
/usr/share/javadoc/tagsoup-1.0.1
/usr/share/javadoc/tagsoup-1.0.1/allclasses-frame.html
/usr/share/javadoc/tagsoup-1.0.1/allclasses-noframe.html
/usr/share/javadoc/tagsoup-1.0.1/constant-values.html
/usr/share/javadoc/tagsoup-1.0.1/deprecated-list.html
/usr/share/javadoc/tagsoup-1.0.1/help-doc.html
/usr/share/javadoc/tagsoup-1.0.1/index-all.html
/usr/share/javadoc/tagsoup-1.0.1/index.html
/usr/share/javadoc/tagsoup-1.0.1/org
/usr/share/javadoc/tagsoup-1.0.1/org/ccil
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/AttributesImpl.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/AutoDetector.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/CommandLine.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/Element.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/ElementType.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/PYXScanner.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/PYXWriter.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/Parser.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/ScanHandler.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/Scanner.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/Schema.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/XMLWriter.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/class-use
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/class-use/AttributesImpl.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/class-use/AutoDetector.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/class-use/CommandLine.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/class-use/Element.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/class-use/ElementType.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/class-use/PYXScanner.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/class-use/PYXWriter.html/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/class-use/Parser.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/class-use/ScanHandler.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/class-use/Scanner.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/class-use/Schema.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/class-use/XMLWriter.html/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/package-frame.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/package-summary.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/package-tree.html
/usr/share/javadoc/tagsoup-1.0.1/org/ccil/cowan/tagsoup/package-use.html
/usr/share/javadoc/tagsoup-1.0.1/overview-tree.html
/usr/share/javadoc/tagsoup-1.0.1/package-list
/usr/share/javadoc/tagsoup-1.0.1/resources
/usr/share/javadoc/tagsoup-1.0.1/resources/inherit.gif
/usr/share/javadoc/tagsoup-1.0.1/stylesheet.css
 
* run rpmlint on the binary RPMs
W: objectweb-anttask non-standard-group Development/Java
W: objectweb-anttask incoherent-version-in-changelog 0:1.3.2-2jpp 0:1.3.2-1jpp
W: objectweb-anttask no-documentation
W: objectweb-anttask-javadoc non-standard-group Development/Documentation
W: objectweb-anttask-javadoc dangerous-command-in-%post rm
W: objectweb-anttask-javadoc dangerous-command-in-%postun rm

Comment 2 Tania Bento 2007-02-12 23:02:12 UTC
(In reply to comment #1)
> MUST:
> X correct buildroot
>  - should be:
>    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Fixed.

> * rpmlint on <this package>.srpm gives no output
> W: objectweb-anttask non-standard-group Development/Java

This warning can be ignored.

> W: objectweb-anttask unversioned-explicit-provides owanttask

Fixed.

> W: objectweb-anttask rpm-buildroot-usage %prep rm -rf $RPM_BUILD_ROOT

Fixed.

> W: objectweb-anttask mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 37) 

Fixed.

> X Vendor tag should not be used

Fixed.

> X specfile is legible
>  - Requires jpackage-utils in post and postun javadoc

Fixed.

>  - Get rid of Vendor and Distribution

Fixed.

>  - Fix Release tag

Fixed.

>  - Fix Source0:
> http://download.fr2.forge.objectweb.org/monolog/ow_util_ant_tasks_1.3.2.zip

Fixed.

>  - When adding the gcj bits, BuildArch:      noarch should be removed

> X make sure lines are <= 80 characters
>  line 80 is longer than 80 characters

Fixed.

> * run rpmlint on the binary RPMs
> W: objectweb-anttask non-standard-group Development/Java

Ignoring this warning.

> W: objectweb-anttask incoherent-version-in-changelog 0:1.3.2-2jpp 0:1.3.2-1jpp

Fixed.

> W: objectweb-anttask no-documentation

Fixed.

> W: objectweb-anttask-javadoc non-standard-group Development/Documentation

Fixed.

i> W: objectweb-anttask-javadoc dangerous-command-in-%post rm

Fixed.

> W: objectweb-anttask-javadoc dangerous-command-in-%postun rm

Fixed.

Comment 3 Permaine Cheung 2007-02-13 04:28:06 UTC
Where can I find the spec file and the srpm?

Comment 5 Permaine Cheung 2007-02-13 15:18:59 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > MUST:
> > X correct buildroot
> >  - should be:
> >    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
> 
> Fixed.
> 
Great.
> > * rpmlint on <this package>.srpm gives no output
> > W: objectweb-anttask non-standard-group Development/Java
> 
> This warning can be ignored.
> 
> > W: objectweb-anttask unversioned-explicit-provides owanttask
> 
> Fixed.
> 
The provides should be (without <):
Provides:         owanttask = %{epoch}:%{version}-%{release}


> > W: objectweb-anttask rpm-buildroot-usage %prep rm -rf $RPM_BUILD_ROOT
> 
> Fixed.
Great.
> 
> > W: objectweb-anttask mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line
37) 
> 
> Fixed.
> 
Great
> > X Vendor tag should not be used
> 
> Fixed.
> 
> > X specfile is legible
> >  - Requires jpackage-utils in post and postun javadoc
> 
> Fixed.
> 
> >  - Get rid of Vendor and Distribution
> 
> Fixed.
> 
> >  - Fix Release tag
> 
> Fixed.
> 
> >  - Fix Source0:
> > http://download.fr2.forge.objectweb.org/monolog/ow_util_ant_tasks_1.3.2.zip
> 
> Fixed.
> 
> >  - When adding the gcj bits, BuildArch:      noarch should be removed
> 
> > X make sure lines are <= 80 characters
> >  line 80 is longer than 80 characters
> 
> Fixed.
> 
Since with_bootstrap option is added, you'll need to define a value for the
variable.
I'll check the following when the spec file is updated, and rpms rebuilt from
that spec file.
> > * run rpmlint on the binary RPMs
> > W: objectweb-anttask non-standard-group Development/Java
> 
> Ignoring this warning.
> 
> > W: objectweb-anttask incoherent-version-in-changelog 0:1.3.2-2jpp 0:1.3.2-1jpp
> 
> Fixed.
> 
> > W: objectweb-anttask no-documentation
> 
> Fixed.
> 
> > W: objectweb-anttask-javadoc non-standard-group Development/Documentation
> 
> Fixed.
> 
> i> W: objectweb-anttask-javadoc dangerous-command-in-%post rm
> 
> Fixed.
> 
> > W: objectweb-anttask-javadoc dangerous-command-in-%postun rm
> 
> Fixed.



Comment 6 Tania Bento 2007-02-13 16:23:51 UTC
(In reply to comment #5)
> (In reply to comment #2)
> > (In reply to comment #1)
> > > MUST:
> The provides should be (without <):
> Provides:         owanttask = %{epoch}:%{version}-%{release}

Fixed.

> Since with_bootstrap option is added, you'll need to define a value for the
> variable.
> I'll check the following when the spec file is updated, and rpms rebuilt from
> that spec file.

Fixed.  Defined it to 1.

Comment 7 Tania Bento 2007-02-13 16:25:12 UTC
(In reply to comment #5)
> (In reply to comment #2)
> > (In reply to comment #1)
> > > MUST:
> The provides should be (without <):
> Provides:         owanttask = %{epoch}:%{version}-%{release}

Fixed.

> Since with_bootstrap option is added, you'll need to define a value for the
> variable.
> I'll check the following when the spec file is updated, and rpms rebuilt from
> that spec file.

Fixed.  Defined it to 1.

Comment 8 Tania Bento 2007-02-13 17:07:17 UTC
Here's the link to the source rpm:
http://tequila-sunrise.ath.cx/rpmreviews/F7/objectweb-anttasks/objectweb-anttask-1.3.2-1jpp.src.rpm


Comment 9 Tania Bento 2007-02-13 19:15:51 UTC
Sorry... The latest post was not the latest version.  Here is the link again,
with the latest version:
http://tequila-sunrise.ath.cx/rpmreviews/F7/objectweb-anttasks/objectweb-anttask-1.3.2-1jpp.1.src.rpm

Comment 10 Permaine Cheung 2007-02-13 21:20:51 UTC
(In reply to comment #7)
> (In reply to comment #5)
> > (In reply to comment #2)
> > > (In reply to comment #1)
> > > > MUST:
> > The provides should be (without <):
> > Provides:         owanttask = %{epoch}:%{version}-%{release}
> 
> Fixed.
Great!
> 
> > Since with_bootstrap option is added, you'll need to define a value for the
> > variable.
> > I'll check the following when the spec file is updated, and rpms rebuilt from
> > that spec file.
> 
> Fixed.  Defined it to 1.

It's now set to 0 for bootstrapping build for the first time.

I've built it in mock successfully, rpmlint on the current src and binary rpms:
[pcheung@to-fcjpp1 ~]$ rpmlint
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/objectweb-anttask-1.3.2-1jpp.1.fc7.noarch.rpm
/var/lib/mock/fedora-development-x86_64-core-pcheung/result/objectweb-anttask-javadoc-1.3.2-1jpp.1.fc7.noarch.rpm
 /var/lib/mock/fedora-development-x86_64-core-pcheung/result/objectweb-anttask-1.3.2-1jpp.1.fc7.src.rpm
W: objectweb-anttask non-standard-group Development/Java
W: objectweb-anttask-javadoc non-standard-group Development/Documentation
W: objectweb-anttask non-standard-group Development/Java


APPROVED. Thanks!

Comment 11 Deepak Bhole 2007-03-07 19:56:36 UTC
New Package CVS Request
=======================
Package Name: objectweb-anttask-1.3.2-1jpp.1
Short Description: ObjectWeb Ant task
Owners: dbhole@redhat.com
Branches: FC-7
InitialCC: pcheung@redhat.com

Comment 12 Jens Petersen 2007-03-09 02:13:14 UTC
For future reference: the package name is "objectweb-anttask"
and there is no FC-7 branch yet since Fedora 7 is not yet released
so no need to request that.

Comment 13 Vivek Lakshmanan 2007-08-14 00:05:54 UTC
*** Bug 252088 has been marked as a duplicate of this bug. ***

Comment 14 Vivek Lakshmanan 2007-08-14 00:08:22 UTC
The package is ready to be imported. If possible, please compare with contents
of bug 252088 and import the result in rawhide.

Comment 15 Deepak Bhole 2007-08-22 01:41:38 UTC
Package has been built in Koji.


Note You need to log in before you can comment on or make changes to this bug.